Bug 1065715 - [abrt] sddm: _pam_free_data(): sddm killed by SIGABRT
Summary: [abrt] sddm: _pam_free_data(): sddm killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7cb79c2a7bed86a8b095305c243...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 09:02 UTC by Martin
Modified: 2014-10-07 09:28 UTC (History)
9 users (show)

Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 10:30:17 UTC


Attachments (Terms of Use)
File: backtrace (23.84 KB, text/plain)
2014-02-16 09:02 UTC, Martin
no flags Details
File: cgroup (172 bytes, text/plain)
2014-02-16 09:02 UTC, Martin
no flags Details
File: core_backtrace (6.27 KB, text/plain)
2014-02-16 09:02 UTC, Martin
no flags Details
File: dso_list (7.04 KB, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details
File: environ (72 bytes, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details
File: maps (35.69 KB, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details
File: open_fds (820 bytes, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details
File: proc_pid_status (891 bytes, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details
File: var_log_messages (22.78 KB, text/plain)
2014-02-16 09:03 UTC, Martin
no flags Details

Description Martin 2014-02-16 09:02:48 UTC
Version-Release number of selected component:
sddm-0.2.0-0.16.20130914git50ca5b20.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/sddm
crash_function: _pam_free_data
executable:     /usr/bin/sddm
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _pam_free_data at pam_data.c:161
 #6 pam_end at pam_end.c:31
 #7 SDDM::PamService::~PamService at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Authenticator.cpp:133
 #8 SDDM::Authenticator::finished at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Authenticator.cpp:417
 #9 QMetaObject::activate at kernel/qobject.cpp:3547
 #10 QProcess::finished at .moc/release-shared/moc_qprocess.cpp:155
 #11 QProcessPrivate::_q_processDied at io/qprocess.cpp:1068
 #12 QProcess::qt_static_metacall at .moc/release-shared/moc_qprocess.cpp:91
 #13 QMetaObject::activate at kernel/qobject.cpp:3547
 #14 QSocketNotifier::activated at .moc/release-shared/moc_qsocketnotifier.cpp:102

Comment 1 Martin 2014-02-16 09:02:55 UTC
Created attachment 863668 [details]
File: backtrace

Comment 2 Martin 2014-02-16 09:02:57 UTC
Created attachment 863669 [details]
File: cgroup

Comment 3 Martin 2014-02-16 09:02:59 UTC
Created attachment 863670 [details]
File: core_backtrace

Comment 4 Martin 2014-02-16 09:03:02 UTC
Created attachment 863671 [details]
File: dso_list

Comment 5 Martin 2014-02-16 09:03:04 UTC
Created attachment 863672 [details]
File: environ

Comment 6 Martin 2014-02-16 09:03:06 UTC
Created attachment 863673 [details]
File: limits

Comment 7 Martin 2014-02-16 09:03:08 UTC
Created attachment 863674 [details]
File: maps

Comment 8 Martin 2014-02-16 09:03:10 UTC
Created attachment 863675 [details]
File: open_fds

Comment 9 Martin 2014-02-16 09:03:13 UTC
Created attachment 863676 [details]
File: proc_pid_status

Comment 10 Martin 2014-02-16 09:03:15 UTC
Created attachment 863677 [details]
File: var_log_messages

Comment 11 Fedora Update System 2014-06-25 11:08:57 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20

Comment 12 Fedora Update System 2014-06-25 11:13:05 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19

Comment 13 Fedora Update System 2014-06-26 01:56:59 UTC
Package sddm-0.2.0-0.29.20140623gitdb1d7381.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.29.20140623gitdb1d7381.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7749/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-06-30 10:30:17 UTC
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-10-07 09:28:50 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19


Note You need to log in before you can comment on or make changes to this bug.